
function Earthling_Init(Index)
	local Ship=ShipData[Index];
	-- Create array for animation data
	Ship.Anim={};
	-- Set initial values
	Ship.Anim.Turning=2;	
	Ship.Anim.TurningTimer=0;
	Ship.Anim.Thrust=false;
	Ship.Anim.Fire=false;
	Ship.Anim.Special=false;
end

function Earthling_Update(Index)
	local Ship=ShipData[Index];
	-- Handle turning
	if (Ship.Anim.TurningTimer==0) then
		-- Store current position
		local LastTurning=Ship.Anim.Turning;
		
		-- Check for keypress and change frame accordingly
		if (Ship.KeyRight and Ship.Anim.Turning>0) then
			Ship.Anim.Turning=Ship.Anim.Turning-1;
		end
		if (Ship.KeyLeft and Ship.Anim.Turning<4) then
			Ship.Anim.Turning=Ship.Anim.Turning+1;
		end
		
		-- If none of the keys is pressed, then return to center
		if (not Ship.KeyLeft and not Ship.KeyRight and Ship.Anim.Turning~=2) then
			if (Ship.Anim.Turning < 2) then
				Ship.Anim.Turning=Ship.Anim.Turning+1;
			else
				Ship.Anim.Turning=Ship.Anim.Turning-1;
			end
		end
		
		-- Update image if it differs from previous
		if (LastTurning~=Ship.Anim.Turning) then
			-- Wait 5 updates (a bit too vague, but okay for now...)
			Ship.Anim.TurningTimer=5;
			
			if (Ship.Anim.Turning~=2) then
				GetGlobal(Ship.FrameName.."CaptainTurn"..Ship.Anim.Turning):Show();
			end
			if (LastTurning~=2) then
				GetGlobal(Ship.FrameName.."CaptainTurn"..LastTurning):Hide();
			end
		end
	else
		-- Update turning timer
		Ship.Anim.TurningTimer=Ship.Anim.TurningTimer-1;
	end
	
	-- Thrust
	local Frame=GetGlobal(Ship.FrameName.."CaptainThrust");
	local Playing=Frame:IsPlaying();
	if (Ship.KeyThrust~=Ship.Anim.Thrust) then
		Frame:SetReverse(not Ship.KeyThrust);
		if (not Playing) then
			Frame:Play();
		end
		Ship.Anim.Thrust=Ship.KeyThrust;
	end
	
	-- Firing
	local Frame=GetGlobal(Ship.FrameName.."CaptainFire");
	local Playing=Frame:IsPlaying();
	if (Ship.KeyFire~=Ship.Anim.Fire and not Playing) then
		Frame:SetReverse(not Ship.KeyFire);
		Frame:Play();
		Ship.Anim.Fire=Ship.KeyFire;
	end
	
	-- Special
	local Frame=GetGlobal(Ship.FrameName.."CaptainSpecial");
	local Playing=Frame:IsPlaying();
	if (Ship.KeySpecial~=Ship.Anim.Special and not Playing) then
		Frame:SetReverse(not Ship.KeySpecial);
		Frame:Play();
		Ship.Anim.Special=Ship.KeySpecial;
	end
	
end
