local Selected=0;
local SelectLimit=2;
local DoFade=0;
local FadePos=1;
local FadeSelect=0;
--local FadeSpeed=3;
local FadeSpeed=5;

function MainMenu:Select(Id)
	if (DoFade==0) then
		DoFade=1;
		FadeSelect=Id;
		-- Play select sample
		MainMenu:PlaySample("Menu select");
		return;
	end
	if (not Id) then
		Id=FadeSelect;
	end
	
	if (Id==0) then
		MainMenu:StartGame();
	elseif (Id==1) then
		MainMenu:StartMelee();
	elseif (Id==2) then
		MainMenu:Exit();
	end
end

local LastFocus=Selected;
function MainMenu:Focus(Id)
	Selected=Id;
	if (LastFocus~=Selected) then
		MainMenu:PlaySample("Menu movement");
		LastFocus=Selected;
	end
end

function MainMenu:OnKeyPress(Key)
	--print("Key: "..Key);
	
	if (Key==Keycodes.Up) then
		Selected=Selected-1;
		
	elseif (Key==Keycodes.Down) then
		Selected=Selected+1;
		
	elseif (Keycodes:IsEnter(Key)) then
		MainMenu:Select(Selected);
		
	elseif (Key==Keycodes.Esc) then
		-- Esc
		if (Selected==SelectLimit) then
			-- Select item on second press
			MainMenu:Select(SelectLimit);
		end
		Selected=SelectLimit;
	end
	
	-- Wrap around
	if (Selected>SelectLimit) then
		Selected=0;
	elseif (Selected<0) then
		Selected=SelectLimit;
	end
	
	-- Focus to the selected
	MainMenu:Focus(Selected);
end

local MyTime=0;
local TimeEvent=0.01;
function MainMenu:OnUpdate(Time)
	
	-- Fullscreen fade
	if (DoFade==1) then
		FadePos=FadePos-Time*FadeSpeed;
		if (FadePos<0) then
			MainMenu:Select();
			FadePos=1;
			DoFade=0;
		end
		UiRoot:SetAlpha(FadePos);
	end
	

	MyTime=MyTime+Time;
	
	local x,y;
	if (MyTime>TimeEvent) then
		x,y=Hilight:GetPos();
	else
		return;
	end
	
	while (MyTime>TimeEvent) do
		MyTime=MyTime-TimeEvent;
		
		local TargY=Selected*32;
		local Diff=(TargY-y)/3;
		y=y+Diff;
	end
	
	Hilight:SetPos(x,y);
end
