---------------------------------------------------------------------
-- OnLoad function for battery and crew displays
-- Registers wanted events
--
function BattCrew_OnLoad()
	-- Register events
	self:RegisterEvent("UNIT_HEALTH");
	self:RegisterEvent("UNIT_MAXHEALTH");
	self:RegisterEvent("UNIT_BATTERY");
	self:RegisterEvent("UNIT_MAXBATTERY");
end

---------------------------------------------------------------------
-- OnEvent handler for battery and crew displays
-- Updates Battery and Crew displays
--
function BattCrew_OnEvent(Event,Data)
	--print("OnEvent: "..Event);
	if (Event=="UNIT_HEALTH") then
		-- Set bar height and new texture coordinate for both bars
		local Units=math.floor(Data.Value / 2);
		local Frame=GetGlobal("ShipWindow"..Data.Unit.."CrewBar2");
		Frame:SetHeight(Units*4);
		
		Units=Units+(Data.Value % 2);
		Frame=GetGlobal("ShipWindow"..Data.Unit.."CrewBar1");
		Frame:SetHeight(Units*4);
	
	elseif (Event=="UNIT_BATTERY") then
		-- Set bar height and new texture coordinate for both bars
		local Units=math.floor(Data.Value / 2);
		local Frame=GetGlobal("ShipWindow"..Data.Unit.."BatteryBar2");
		Frame:SetHeight(Units*4);
		
		Units=Units+(Data.Value % 2);
		Frame=GetGlobal("ShipWindow"..Data.Unit.."BatteryBar1");
		Frame:SetHeight(Units*4);

	elseif (Event=="UNIT_MAXHEALTH") then
		-- Update max health
		local Frame=GetGlobal("ShipWindow"..Data.Unit.."Crew");
		Frame:SetHeight( math.floor(Data.Value / 2)*4 +5 );
	
	elseif (Event=="UNIT_MAXBATTERY") then
		-- Update max battery
		local Frame=GetGlobal("ShipWindow"..Data.Unit.."Battery");
		Frame:SetHeight( math.floor(Data.Value / 2)*4 +5 );
	
	end
end
